Create a webhook subscription
POST
/webhooksRegister a webhook endpoint to receive event notifications.
Auth:
BearerRequest body
family_iduuidrequired
urlWebhook URL to receive events
stringrequired
eventsEvents to subscribe to (e.g. policy.updated, enforcement.completed)
string[]required
Response
iduuid
family_iduuid
urlstring
eventsstring[]
activeboolean
created_atdatetime
updated_atdatetime
Request
bash
curl -X POST "https://prodapi.phosra.com/api/v1/webhooks" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"family_id": "550e8400-e29b-41d4-a716-446655440000",
"url": "string",
"events": [
"string"
]
}'Response
json
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"family_id": "550e8400-e29b-41d4-a716-446655440000",
"url": "string",
"events": [
"string"
],
"active": true,
"created_at": "2025-01-15T09:30:00Z",
"updated_at": "2025-01-15T09:30:00Z"
}